summaryrefslogtreecommitdiffstats
path: root/deps
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2019-02-14 22:32:30 +0100
committer Eric Hameleers <alien@slackware.com>2019-02-14 22:32:30 +0100
commita7186a15ba7c15fb7af41c729cdf2cbebd89fcfc (patch)
treee557a387cf9d6004b0b6b1a03b63c8ce930454d9 /deps
parent335621ea519b61e6fed5eaf82b1ccc5ebdb1afec (diff)
downloadktown-a7186a15ba7c15fb7af41c729cdf2cbebd89fcfc.tar.gz
ktown-a7186a15ba7c15fb7af41c729cdf2cbebd89fcfc.tar.xz
Updated deps for the next ktown release
libxkbcommon: updated to 0.8.3 qt5: updated to 5.12.1 qt5-webkit: recompiled against the new qt5 sip: updated to 4.19.14 PyQt: updated to 4.12.3 (only managed to compile on 64bit) PyQt5: updated to 5.12 QScintilla: updated to 2.11 (dropped the Qt4 support which would not compile)
Diffstat (limited to 'deps')
-rw-r--r--deps/PyQt/.url2
-rwxr-xr-xdeps/PyQt/PyQt.SlackBuild15
-rw-r--r--deps/PyQt5/.deps3
-rw-r--r--deps/PyQt5/.url2
-rwxr-xr-xdeps/PyQt5/PyQt5.SlackBuild6
-rw-r--r--deps/QScintilla/.url2
-rwxr-xr-xdeps/QScintilla/QScintilla.SlackBuild114
-rw-r--r--deps/libxkbcommon/.url2
-rwxr-xr-xdeps/libxkbcommon/libxkbcommon.SlackBuild6
-rwxr-xr-xdeps/qt5-webkit/qt5-webkit.SlackBuild4
-rw-r--r--deps/qt5/.deps2
-rw-r--r--deps/qt5/.url2
-rw-r--r--deps/qt5/patches/qt5.delayed_highlight.patch72
-rw-r--r--deps/qt5/patches/qt5.qtbug-69310.patch37
-rwxr-xr-xdeps/qt5/qt5.SlackBuild33
-rw-r--r--deps/sip/.url2
-rwxr-xr-xdeps/sip/sip.SlackBuild37
17 files changed, 248 insertions, 93 deletions
diff --git a/deps/PyQt/.url b/deps/PyQt/.url
index 7db5c55..8e479e7 100644
--- a/deps/PyQt/.url
+++ b/deps/PyQt/.url
@@ -1 +1 @@
-http://sourceforge.net/projects/pyqt/files/PyQt4/PyQt-4.12.1/PyQt4_gpl_x11-4.12.1.tar.gz
+http://sourceforge.net/projects/pyqt/files/PyQt4/PyQt-4.12.3/PyQt4_gpl_x11-4.12.3.tar.gz
diff --git a/deps/PyQt/PyQt.SlackBuild b/deps/PyQt/PyQt.SlackBuild
index 8c188b1..2c55e12 100755
--- a/deps/PyQt/PyQt.SlackBuild
+++ b/deps/PyQt/PyQt.SlackBuild
@@ -29,8 +29,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=PyQt
-VERSION=${VERSION:-4.12.1}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-4.12.3}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -91,11 +91,15 @@ find . \
# This avoids compiling a version number into KDE's .la files:
export QTDIR=/usr/lib${LIBDIRSUFFIX}/qt
+export QT4DIR=/usr/lib${LIBDIRSUFFIX}/qt
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
-python3 configure.py --confirm-license --verbose
+python3 configure.py \
+ --confirm-license \
+ --qsci-api \
+ --verbose
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
make clean
@@ -103,7 +107,10 @@ make clean
mv $PKG/usr/bin/pyuic4 $PKG/usr/bin/pyuic4-py3
rm -rf $PKG/$PYTHON3LIB/${PKGNAM}4/uic/port_v2/
-python2 configure.py --confirm-license --verbose
+python2 configure.py \
+ --confirm-license \
+ --qsci-api \
+ --verbose
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
diff --git a/deps/PyQt5/.deps b/deps/PyQt5/.deps
new file mode 100644
index 0000000..64526d1
--- /dev/null
+++ b/deps/PyQt5/.deps
@@ -0,0 +1,3 @@
+python-enum34
+qt5
+sip
diff --git a/deps/PyQt5/.url b/deps/PyQt5/.url
index 00e3b3e..4bf101b 100644
--- a/deps/PyQt5/.url
+++ b/deps/PyQt5/.url
@@ -1,2 +1,2 @@
-https://sourceforge.net/projects/pyqt/files/PyQt5/PyQt-5.11.3/PyQt5_gpl-5.11.3.tar.gz
+https://www.riverbankcomputing.com/static/Downloads/PyQt5/PyQt5_gpl-5.12.tar.gz
diff --git a/deps/PyQt5/PyQt5.SlackBuild b/deps/PyQt5/PyQt5.SlackBuild
index 29cd009..b1eb9ec 100755
--- a/deps/PyQt5/PyQt5.SlackBuild
+++ b/deps/PyQt5/PyQt5.SlackBuild
@@ -27,10 +27,10 @@
# Modified by Eric Hameleers <alien@slackware.com>
PKGNAM=PyQt5
-VERSION=${VERSION:-5.11.3}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-5.12}
+BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:-"-j$(nproc)"}
+NUMJOBS=${NUMJOBS:-" -j$(nproc) "}
CWD=$(pwd)
TMP=${TMP:-/tmp}
diff --git a/deps/QScintilla/.url b/deps/QScintilla/.url
index 63bbd58..83e87e6 100644
--- a/deps/QScintilla/.url
+++ b/deps/QScintilla/.url
@@ -1 +1 @@
-http://downloads.sourceforge.net/pyqt/QScintilla_gpl-2.10.8.tar.gz
+https://www.riverbankcomputing.com/static/Downloads/QScintilla/QScintilla_gpl-2.11.tar.gz
diff --git a/deps/QScintilla/QScintilla.SlackBuild b/deps/QScintilla/QScintilla.SlackBuild
index dd7a072..339b62b 100755
--- a/deps/QScintilla/QScintilla.SlackBuild
+++ b/deps/QScintilla/QScintilla.SlackBuild
@@ -23,15 +23,15 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified 2018 by Eric Hameleers <alien@slackware.com> (add Qt5 support)
+# Modified 2018, 2019 by Eric Hameleers <alien@slackware.com> (add Qt5 support)
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=QScintilla
-VERSION=${VERSION:-2.10.8}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-2.11}
+BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:-"-j$(nproc)"}
+NUMJOBS=${NUMJOBS:-" -j$(nproc) "}
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -145,58 +145,60 @@ if qtpaths-qt5 --qt-version 1>/dev/null 2>/dev/null ; then
make clean -C Python || exit 1
fi
-# QT4 support:
-echo "-- Compiling Qt4 support --"
-cd Qt4Qt5
- echo "-- >> Qt4Qt5 --"
- qmake \
- -o Makefile \
- QMAKE_CFLAGS+="$SLKCFLAGS" \
- QMAKE_CXXFLAGS+="$SLKCFLAGS -std=c++11" \
- qscintilla.pro || exit 1
- make $NUMJOBS || exit 1
- make install INSTALL_ROOT=$PKG || exit 1
-cd -
-
-cd designer-Qt4Qt5
- echo "-- >> designer-Qt4Qt5 --"
- qmake \
- -o Makefile \
- INCLUDEPATH+=../Qt4Qt5 QMAKE_LIBDIR+=../Qt4Qt5 \
- QMAKE_CFLAGS+="$SLKCFLAGS" \
- QMAKE_CXXFLAGS+="$SLKCFLAGS -std=c++11" \
- designer.pro || exit 1
- make $NUMJOBS || exit 1
- make install INSTALL_ROOT=$PKG || exit 1
-cd -
-
-cd Python
- echo "-- >> Python --"
- python3 configure.py \
- --verbose \
- --qmake /usr/bin/qmake \
- -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
- || exit 1
- make -j1 || exit 1
- make -j1 install INSTALL_ROOT=$PKG || exit 1
-
- make clean || exit 1
-
- python2 configure.py \
- --verbose \
- --qmake /usr/bin/qmake \
- -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
- || exit 1
- make -j1 || exit 1
- make -j1 install INSTALL_ROOT=$PKG || exit 1
-cd -
-
-# Link the shared libraries into /usr/lib${LIBDIRSUFFIX}:
-( cd $PKG/usr/lib${LIBDIRSUFFIX}
- for file in qt/lib/*.so* ; do
- ln -sf $file .
- done
-)
+# QT4 SUPPORT CURRENTLY DOES NOT COMPILE...
+# /usr/lib64/qt/include/QtCore/qglobal.h:2242:20: error: invalid application of 'sizeof' to incomplete type 'QUrl'
+## QT4 support:
+#echo "-- Compiling Qt4 support --"
+#cd Qt4Qt5
+# echo "-- >> Qt4Qt5 --"
+# qmake \
+# -o Makefile \
+# QMAKE_CFLAGS+="$SLKCFLAGS" \
+# QMAKE_CXXFLAGS+="$SLKCFLAGS -std=c++11" \
+# qscintilla.pro || exit 1
+# make $NUMJOBS || exit 1
+# make install INSTALL_ROOT=$PKG || exit 1
+#cd -
+#
+#cd designer-Qt4Qt5
+# echo "-- >> designer-Qt4Qt5 --"
+# qmake \
+# -o Makefile \
+# INCLUDEPATH+=../Qt4Qt5 QMAKE_LIBDIR+=../Qt4Qt5 \
+# QMAKE_CFLAGS+="$SLKCFLAGS" \
+# QMAKE_CXXFLAGS+="$SLKCFLAGS -std=c++11" \
+# designer.pro || exit 1
+# make $NUMJOBS || exit 1
+# make install INSTALL_ROOT=$PKG || exit 1
+#cd -
+#
+#cd Python
+# echo "-- >> Python --"
+# python3 configure.py \
+# --verbose \
+# --qmake /usr/bin/qmake \
+# -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
+# || exit 1
+# make -j1 || exit 1
+# make -j1 install INSTALL_ROOT=$PKG || exit 1
+#
+# make clean || exit 1
+#
+# python2 configure.py \
+# --verbose \
+# --qmake /usr/bin/qmake \
+# -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
+# || exit 1
+# make -j1 || exit 1
+# make -j1 install INSTALL_ROOT=$PKG || exit 1
+#cd -
+#
+## Link the shared qt4 libraries into /usr/lib${LIBDIRSUFFIX}:
+#( cd $PKG/usr/lib${LIBDIRSUFFIX}
+# for file in $(ls -1 qt/lib/*.so* 2>/dev/null) ; do
+# ln -sf $file .
+# done
+#)
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/deps/libxkbcommon/.url b/deps/libxkbcommon/.url
index 7dba450..5c4d34e 100644
--- a/deps/libxkbcommon/.url
+++ b/deps/libxkbcommon/.url
@@ -1,2 +1,2 @@
-https://xkbcommon.org/download/libxkbcommon-0.8.2.tar.xz
+https://xkbcommon.org/download/libxkbcommon-0.8.3.tar.xz
diff --git a/deps/libxkbcommon/libxkbcommon.SlackBuild b/deps/libxkbcommon/libxkbcommon.SlackBuild
index 442bb48..aebff99 100755
--- a/deps/libxkbcommon/libxkbcommon.SlackBuild
+++ b/deps/libxkbcommon/libxkbcommon.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2015 Patrick J. Volkerding, Sebeka, MN, USA
-# Copyright 2015, 2017, 2018 Eric Hameleers, Eindhoven, NL
+# Copyright 2015, 2017, 2018, 2019 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libxkbcommon
-VERSION=${VERSION:-0.8.2}
+VERSION=${VERSION:-0.8.3}
BUILD=${BUILD:-1}
TMP=${TMP:-/tmp}
@@ -105,7 +105,7 @@ make install DESTDIR=$PKG || exit 1
# Add documentation:
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- README INSTALL TODO COPYING ChangeLog \
+ LICENSE NEWS PACKAGING README* \
$PKG/usr/doc/$PKGNAM-$VERSION
# Strip binaries (if any):
diff --git a/deps/qt5-webkit/qt5-webkit.SlackBuild b/deps/qt5-webkit/qt5-webkit.SlackBuild
index aef8216..b352f5c 100755
--- a/deps/qt5-webkit/qt5-webkit.SlackBuild
+++ b/deps/qt5-webkit/qt5-webkit.SlackBuild
@@ -22,12 +22,12 @@
# Derived from the qt5.SlackBuild
-# Modifications for qt5-webkit 5.6.0, 5.6.1, 5.7.0, 5.7.1, 5.9.0, 5.9.1, 5.212 2016, 2017, 2018 by Eric Hameleers, Eindhoven, NL
+# Modifications for qt5-webkit 5.6.0, 5.6.1, 5.7.0, 5.7.1, 5.9.0, 5.9.1, 5.212 2016, 2017, 2018, 2019 by Eric Hameleers, Eindhoven, NL
PKGNAM=qt5-webkit
SRCVER=${SRCVER:-"5.212.0-alpha2"}
VERSION=$(echo $SRCVER | tr - _)
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-"-j$(nproc)"}
diff --git a/deps/qt5/.deps b/deps/qt5/.deps
new file mode 100644
index 0000000..d1eaacd
--- /dev/null
+++ b/deps/qt5/.deps
@@ -0,0 +1,2 @@
+OpenAL
+libxkbcommon
diff --git a/deps/qt5/.url b/deps/qt5/.url
index 2aea31e..91a8b0c 100644
--- a/deps/qt5/.url
+++ b/deps/qt5/.url
@@ -1 +1 @@
-https://download.qt.io/official_releases/qt/5.11/5.11.3/single/qt-everywhere-src-5.11.3.tar.xz
+https://download.qt.io/official_releases/qt/5.12/5.12.1/single/qt-everywhere-src-5.12.1.tar.xz
diff --git a/deps/qt5/patches/qt5.delayed_highlight.patch b/deps/qt5/patches/qt5.delayed_highlight.patch
new file mode 100644
index 0000000..201179b
--- /dev/null
+++ b/deps/qt5/patches/qt5.delayed_highlight.patch
@@ -0,0 +1,72 @@
+From f8f0f3eef1151c9377a5c76ccfa6432e930e1307 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?M=C3=A5rten=20Nordheim?= <marten.nordheim@qt.io>
+Date: Mon, 14 Jan 2019 10:37:42 +0100
+Subject: QSyntaxHighlighter: cancel delayed highlight if done manually
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+It was an implicit effect before which stopped working after
+dec7961709c90f6977d2447f7fa6c6625af41cb2. Reintroduce it as some
+projects used this side-effect as a way to abort the initial
+highlighting.
+
+Change-Id: I5340ee9882a242bc8b5f7f843f1cfe793a65d357
+Reviewed-by: J?drzej Nowacki <jedrzej.nowacki@qt.io>
+---
+ src/gui/text/qsyntaxhighlighter.cpp | 1 +
+ .../qsyntaxhighlighter/tst_qsyntaxhighlighter.cpp | 19 +++++++++++++++++++
+ 2 files changed, 20 insertions(+)
+
+diff --git a/src/gui/text/qsyntaxhighlighter.cpp b/src/gui/text/qsyntaxhighlighter.cpp
+index b09f8b565a..0e07b69868 100644
+--- a/src/gui/text/qsyntaxhighlighter.cpp
++++ b/src/gui/text/qsyntaxhighlighter.cpp
+@@ -376,6 +376,7 @@ void QSyntaxHighlighter::rehighlight()
+
+ QTextCursor cursor(d->doc);
+ d->rehighlight(cursor, QTextCursor::End);
++ d->rehighlightPending = false; // user manually did a full rehighlight
+ }
+
+ /*!
+diff --git a/tests/auto/gui/text/qsyntaxhighlighter/tst_qsyntaxhighlighter.cpp b/tests/auto/gui/text/qsyntaxhighlighter/tst_qsyntaxhighlighter.cpp
+index 9d6ce78b24..c683ecd424 100644
+--- a/tests/auto/gui/text/qsyntaxhighlighter/tst_qsyntaxhighlighter.cpp
++++ b/tests/auto/gui/text/qsyntaxhighlighter/tst_qsyntaxhighlighter.cpp
+@@ -82,6 +82,7 @@ private slots:
+ void preservePreeditArea();
+ void task108530();
+ void avoidUnnecessaryRehighlight();
++ void avoidUnnecessaryDelayedRehighlight();
+ void noContentsChangedDuringHighlight();
+ void rehighlight();
+ void rehighlightBlock();
+@@ -478,6 +479,24 @@ void tst_QSyntaxHighlighter::avoidUnnecessaryRehighlight()
+ QTRY_VERIFY(!hl->highlighted);
+ }
+
++void tst_QSyntaxHighlighter::avoidUnnecessaryDelayedRehighlight()
++{
++ // Having text in the document before creating the highlighter starts the delayed rehighlight
++ cursor.insertText("Hello World");
++
++ TestHighlighter *hl = new TestHighlighter(doc);
++ QVERIFY(!hl->highlighted);
++
++ hl->rehighlight();
++ QVERIFY(hl->highlighted);
++
++ hl->highlighted = false;
++ // Process events, including delayed rehighlight emission
++ QCoreApplication::processEvents();
++ // Should be cancelled and no extra rehighlight should be done
++ QVERIFY(!hl->highlighted);
++}
++
+ void tst_QSyntaxHighlighter::noContentsChangedDuringHighlight()
+ {
+ QVector<QTextLayout::FormatRange> formats;
+--
+cgit v1.2.1
+
diff --git a/deps/qt5/patches/qt5.qtbug-69310.patch b/deps/qt5/patches/qt5.qtbug-69310.patch
new file mode 100644
index 0000000..b924627
--- /dev/null
+++ b/deps/qt5/patches/qt5.qtbug-69310.patch
@@ -0,0 +1,37 @@
+From fcba9fa861574f33e1d2e54d8c8d6da8062927cd Mon Sep 17 00:00:00 2001
+From: Allan Sandfeld Jensen <allan.jensen@qt.io>
+Date: Wed, 23 Jan 2019 10:42:12 +0100
+Subject: Fix regression in QPlainTextEdit updating
+
+It was incorrectly counting a block having more than one line as having
+changed visibility.
+
+Fixes: QTBUG-69310
+Change-Id: I502cda1d3e8a4efb1c14122353cc0a4731d8581c
+Reviewed-by: Richard Moe Gustavsen <richard.gustavsen@qt.io>
+---
+ src/widgets/widgets/qplaintextedit.cpp | 7 ++++---
+ 1 file changed, 4 insertions(+), 3 deletions(-)
+
+diff --git a/src/widgets/widgets/qplaintextedit.cpp b/src/widgets/widgets/qplaintextedit.cpp
+index d6f6a364a8..57f2dec8f7 100644
+--- a/src/widgets/widgets/qplaintextedit.cpp
++++ b/src/widgets/widgets/qplaintextedit.cpp
+@@ -312,10 +312,11 @@ void QPlainTextDocumentLayout::documentChanged(int from, int charsRemoved, int c
+ QTextBlock block = changeStartBlock;
+ do {
+ block.clearLayout();
+- const int lineCount = block.isVisible() ? 1 : 0;
+- if (block.lineCount() != lineCount) {
++ if (block.isVisible()
++ ? (block.lineCount() == 0)
++ : (block.lineCount() > 0)) {
+ blockVisibilityChanged = true;
+- block.setLineCount(lineCount);
++ block.setLineCount(block.isVisible() ? 1 : 0);
+ }
+ if (block == changeEndBlock)
+ break;
+--
+cgit v1.2.1
+
diff --git a/deps/qt5/qt5.SlackBuild b/deps/qt5/qt5.SlackBuild
index cfe76ad..d257bd0 100755
--- a/deps/qt5/qt5.SlackBuild
+++ b/deps/qt5/qt5.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -36,7 +36,7 @@
# Alternate method (we don't use this):
# wget http://qt.gitorious.org/qt/kde-qt/archive-tarball/4.6.2-patched
#
-# Modifications 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018 Eric Hameleers, Eindhoven, NL
+# Modifications 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018,2019 Eric Hameleers, Eindhoven, NL
# qt 4.7.3, 4.7.4, 4.8.0, 4.8.1, 4.8.2, 4.8.4, are built from original nokia sources.
#
# Modifications for qt 5.2.0 2013 by Michael James, AU
@@ -60,11 +60,12 @@
# Modifications for qt 5.11.1 2018 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.11.2 2018 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.11.3 2018 by Eric Hameleers, Eindhoven, NL
+# Modifications for qt 5.12.1 2019 by Eric Hameleers, Eindhoven, NL
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=qt5
-VERSION=${VERSION:-5.11.3}
+VERSION=${VERSION:-5.12.1}
BUILD=${BUILD:-1}
PKGSRC=$(echo $VERSION |cut -d- -f1)
PKGVER=$(echo $VERSION |tr - _)
@@ -154,14 +155,19 @@ fi
# Fix path to mysql header:
cat $CWD/patches/qt5.mysql.h.diff | patch -p1 --verbose || exit 1
-## Fix missing private includes: QTBUG-37417
-#cd qtbase
-# cat $CWD/patches/qt5.private-includes.patch | patch -p1 --verbose || exit 1
+## Fix compilation error in chromium caused by gcc8:
+#cd qtwebengine
+# cat $CWD/patches/qt5.webengine_gcc8.patch | patch -p1 --verbose || exit 1
#cd - 1>/dev/null
-# Fix compilation error in chromium caused by gcc8:
-cd qtwebengine
- cat $CWD/patches/qt5.webengine_gcc8.patch | patch -p1 --verbose || exit 1
+# QSyntaxHighlighter: cancel delayed highlight if done manually:
+cd qtbase
+ cat $CWD/patches/qt5.delayed_highlight.patch | patch -p1 --verbose || exit 1
+cd - 1>/dev/null
+
+# Fix regression in QPlainTextEdit updating (QTBUG-69310):
+cd qtbase
+ cat $CWD/patches/qt5.qtbug-69310.patch | patch -p1 --verbose || exit 1
cd - 1>/dev/null
if ! pkg-config --exists libpulse 2>/dev/null ; then
@@ -179,11 +185,9 @@ sed -e "s|^\(QMAKE_CFLAGS_RELEASE.*\)|\1 ${SLKCFLAGS}|" \
sed -e "s|^\(QMAKE_LFLAGS_RELEASE.*\)|\1 ${SLKLDFLAGS}|" \
-i qtbase/mkspecs/common/g++-unix.conf || exit 1
-# Enable h.264 codec support (no longer works with Qt 5.11)):
-echo "WEBENGINE_CONFIG += use_proprietary_codecs" >> qtwebengine/.qmake.conf
-
-# Enable all languages in the virtual keyboard (required by Plasma 5.11):
-echo "CONFIG += lang-all" >> qtvirtualkeyboard/.qmake.conf
+# All languages are now enabled by default in the virtual keyboard
+# (required by Plasma 5.11):
+#echo "CONFIG += lang-all" >> qtvirtualkeyboard/.qmake.conf
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
@@ -227,6 +231,7 @@ export QT_PLUGIN_PATH="${QTDIR}/qtbase/plugins"
-no-separate-debug-info \
-no-strip \
-no-use-gold-linker \
+ -webengine-proprietary-codecs \
${PACONF} \
${RELOCATIONS} \
-no-pch \
diff --git a/deps/sip/.url b/deps/sip/.url
index ea8cde5..1970e74 100644
--- a/deps/sip/.url
+++ b/deps/sip/.url
@@ -1,2 +1,2 @@
-https://sourceforge.net/projects/pyqt/files/sip/sip-4.19.13/sip-4.19.13.tar.gz
+https://www.riverbankcomputing.com/static/Downloads/sip/sip-4.19.14.tar.gz
diff --git a/deps/sip/sip.SlackBuild b/deps/sip/sip.SlackBuild
index a390f50..cda5235 100755
--- a/deps/sip/sip.SlackBuild
+++ b/deps/sip/sip.SlackBuild
@@ -26,10 +26,10 @@
PKGNAM=sip
-VERSION=${VERSION:-4.19.13}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-4.19.14}
+BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:-"-j$(nproc)"}
+NUMJOBS=${NUMJOBS:-" -j$(nproc) "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -86,10 +86,24 @@ python2 configure.py \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Add the PyQt4 private sip module:
+make clean
+python2 configure.py \
+ --sip-module PyQt4.sip \
+ --no-tools \
+ -b "/usr/bin" \
+ -d "$PYTHON2LIB" \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
# Add the PyQt5 private sip module:
make clean
python2 configure.py \
- --sip-module PyQt5.sip --no-tools \
+ --sip-module PyQt5.sip \
+ --no-tools \
-b "/usr/bin" \
-d "$PYTHON2LIB" \
CFLAGS="$SLKCFLAGS" \
@@ -111,10 +125,23 @@ python3 configure.py \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Add the PyQt4 private sip module:
+make clean
+python3 configure.py \
+ --sip-module PyQt4.sip \
+ --no-tools \
+ -b "/usr/bin" \
+ -d "$PYTHON3LIB" \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
# Add the PyQt5 private sip module:
make clean
python3 configure.py \
- --sip-module PyQt5.sip --no-tools \
+ --sip-module PyQt5.sip \
+ --no-tools \
-b "/usr/bin" \
-d "$PYTHON3LIB" \
CFLAGS="$SLKCFLAGS" \